/* adi_64.h: ADI related data structures
 *
 * Copyright (C) 2016 Khalid Aziz (khalid.aziz@oracle.com)
 *
 * This work is licensed under the terms of the GNU GPL, version 2.
 */
#ifndef __ASM_SPARC64_ADI_H
#define __ASM_SPARC64_ADI_H

#include <linux/types.h>

struct adi_caps {
	u64 blksz;
	u64 nbits;
	u64 ue_on_adi;
};

struct adi_config {
	bool enabled;
	struct adi_caps caps;
};

extern struct adi_config adi_state;

static inline bool adi_capable(void) {
	return adi_state.enabled;
}

static inline unsigned long adi_nbits(void) {
	return adi_state.caps.nbits;
}

#endif	/* !(__ASM_SPARC64_ADI_H) */
