#ifndef _ASM_SPARC_VVAR_DATA_H
#define _ASM_SPARC_VVAR_DATA_H

#include <linux/clocksource.h>

struct vsyscall_gtod_data {
	seqlock_t	lock;
	int		vclock_mode;

	/* open coded 'struct timespec' */
	time_t		wall_time_sec;
	u32		wall_time_nsec;

	struct timezone sys_tz;
	struct { /* extract of a clocksource struct */
		cycle_t	cycle_last;
		cycle_t	mask;
		u32	mult;
		u32	shift;
	} clock;
	struct timespec wall_to_monotonic;
	struct timespec wall_time_coarse;
};

struct vvar_data {
	struct vsyscall_gtod_data gtod;
};

extern struct vvar_data *vvar_data;

#endif /* _ASM_SPARC_VVAR_DATA_H */
